[P063]专利智能附图

post
https://connect.zhihuiya.com/search/patent/intelligent-attached-image
在体验中心中试用

可以通过输入patent_id查询具体某条专利的智能附图图片。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
lang
必填
stringcn
语言(cn/en)
patent_id
string8d83d36c-02d4-411c-8912-21fa3272abff
专利id
pn
stringCN111719991A
专利号

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
patent_id
string1a47a70d-6b54-4709-a72a-ed552781fcac
专利ID
pdf_images
array[ { "parts": [ { "x1": 128, "x2": 147, "y1": 956, "y2": 980, "code": "52", "representive_label_txt": "person" } ], "patent_id": "8d83d36c-02d4-411c-8912-21fa3272abff", "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png", "fig_title_code": "1" } ]
PDF图片信息
parts
array[ { "x1": 128, "x2": 147, "y1": 956, "y2": 980, "code": "52", "representive_label_txt": "person" } ]
智能附图信息
x1
integer<int32>1549
左上角X坐标
x2
integer<int32>1569
右下角X坐标
y1
integer<int32>1207
左上角Y坐标
y2
integer<int32>1250
右下角Y坐标
code
string14
代码
representive_label_txt
stringβ微管蛋白序列
代表性标签文本
patent_id
string8d83d36c-02d4-411c-8912-21fa3272abff
专利ID
storage_path
stringhttps://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png
存储路径
fig_title_code
string1
图片标题代码
patent_images
array[ { "parts": [ { "x1": 128, "x2": 147, "y1": 956, "y2": 980, "code": "52", "representive_label_txt": "person" } ], "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png" } ]
专利图片信息
parts
array[ { "x1": 128, "x2": 147, "y1": 956, "y2": 980, "code": "52", "representive_label_txt": "person" } ]
智能附图信息
storage_path
stringhttps://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png
存储路径
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "patent_id": "1a47a70d-6b54-4709-a72a-ed552781fcac",
    "pdf_images": [
      {
        "parts": [
          {
            "x1": 1549,
            "x2": 1569,
            "y1": 1207,
            "y2": 1250,
            "code": 14,
            "representive_label_txt": "β微管蛋白序列"
          }
        ],
        "patent_id": "8d83d36c-02d4-411c-8912-21fa3272abff",
        "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png",
        "fig_title_code": 1
      }
    ],
    "patent_images": [
      {
        "parts": [
          {
            "x1": 1549,
            "x2": 1569,
            "y1": 1207,
            "y2": 1250,
            "code": 14,
            "representive_label_txt": "β微管蛋白序列"
          }
        ],
        "storage_path": "https://data-fulltext-image.zhihuiya.com/CN/A/11/17/19/99/1/HDA0002418999840000011.png"
      }
    ]
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms